

function replaceAllAuthForEnum(code: string) {
  const regexp = /hasAuth\('(.*)'\)/g

  return code.replace(regexp, (match, p1) => {
    const newStr = p1.split('.').map((s: string) => {
      const arr = s.split('_')
      if(arr.length > 1) {
          return arr.map(a => a.charAt(0).toUpperCase() + a.slice(1)).join('')
      } else {
          return arr[0].charAt(0).toUpperCase() + arr[0].slice(1)
      }
  }).join('_')
    return `hasAuth(AuthzPerms.${newStr})`
  })
}
export const resolveCode = (code: string) => {
  return replaceAllAuthForEnum(code)
}
